org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ProfileTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ProfileTest

- Direct Known Subclasses:
    ProfileTest.Traversals

      public abstract class ProfileTest
      extends AbstractGremlinProcessTest

  Author:
    Bob Briody (http://bobbriody.com), Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProfileTest.MockStep` ProfileStrategy callback test.
    `static class` | `ProfileTest.Traversals` Traversals

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProfileTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterLoadGraphWith(Graph graph)`
    `void` | `g_V_groupXmX_profile()`
    `void` | `g_V_hasLabelXpersonX_pageRank_byXrankX_byXbothEX_rank_profile()`
    `void` | `g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profile()`
    `void` | `g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profileXmetricsX()`
    `void` | `g_V_repeat_both_profile()`
    `void` | `g_V_repeat_both_profileXmetricsX()`
    `void` | `g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profile()`
    `void` | `g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profileXmetricsX()`
    `void` | `g_V_whereXinXcreatedX_count_isX1XX_name_profile()`
    `void` | `g_V_whereXinXcreatedX_count_isX1XX_name_profileXmetricsX()`
    `abstract Traversal<Vertex,TraversalMetrics>` | `get_g_V_groupXmX_profile()`
    `abstract Traversal<Vertex,TraversalMetrics>` | `get_g_V_hasLabelXpersonX_pageRank_byXrankX_byXbothEX_rank_profile()`
    `abstract Traversal<Vertex,TraversalMetrics>` | `get_g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profile()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profileXmetricsX()`
    `abstract Traversal<Vertex,TraversalMetrics>` | `get_g_V_out_out_profile()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_out_out_profileXmetricsX()`
    `abstract Traversal<Vertex,TraversalMetrics>` | `get_g_V_repeatXbothX_timesX3X_profile()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_repeatXbothX_timesX3X_profileXmetricsX()`
    `abstract Traversal<Vertex,TraversalMetrics>` | `get_g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profile()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profileXmetricsX()`
    `abstract Traversal<Vertex,TraversalMetrics>` | `get_g_V_whereXinXcreatedX_count_isX1XX_name_profile()`
    `abstract Traversal<Vertex,String>` | `get_g_V_whereXinXcreatedX_count_isX1XX_name_profileXmetricsX()`
    `void` | `grateful_V_out_out_profile()`
    `void` | `grateful_V_out_out_profileXmetricsX()`
    `void` | `modern_V_out_out_profile()`
    `void` | `modern_V_out_out_profileXmetricsX()`
    `void` | `testProfileStrategyCallback()`
    `void` | `testProfileStrategyCallbackSideEffect()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfileTest

          public ProfileTest()

  - ### Method Detail

    - #### get_g_V_out_out_profile

          public abstract Traversal<Vertex,TraversalMetrics> get_g_V_out_out_profile()

    - #### get_g_V_repeatXbothX_timesX3X_profile

          public abstract Traversal<Vertex,TraversalMetrics> get_g_V_repeatXbothX_timesX3X_profile()

    - #### get_g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profile

          public abstract Traversal<Vertex,TraversalMetrics> get_g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profile()

    - #### get_g_V_whereXinXcreatedX_count_isX1XX_name_profile

          public abstract Traversal<Vertex,TraversalMetrics> get_g_V_whereXinXcreatedX_count_isX1XX_name_profile()

    - #### get_g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profile

          public abstract Traversal<Vertex,TraversalMetrics> get_g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profile()

    - #### get_g_V_out_out_profileXmetricsX

          public abstract Traversal<Vertex,Vertex> get_g_V_out_out_profileXmetricsX()

    - #### get_g_V_repeatXbothX_timesX3X_profileXmetricsX

          public abstract Traversal<Vertex,Vertex> get_g_V_repeatXbothX_timesX3X_profileXmetricsX()

    - #### get_g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profileXmetricsX

          public abstract Traversal<Vertex,Vertex> get_g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profileXmetricsX()

    - #### get_g_V_whereXinXcreatedX_count_isX1XX_name_profileXmetricsX

          public abstract Traversal<Vertex,String> get_g_V_whereXinXcreatedX_count_isX1XX_name_profileXmetricsX()

    - #### get_g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profileXmetricsX

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profileXmetricsX()

    - #### get_g_V_hasLabelXpersonX_pageRank_byXrankX_byXbothEX_rank_profile

          public abstract Traversal<Vertex,TraversalMetrics> get_g_V_hasLabelXpersonX_pageRank_byXrankX_byXbothEX_rank_profile()

    - #### get_g_V_groupXmX_profile

          public abstract Traversal<Vertex,TraversalMetrics> get_g_V_groupXmX_profile()

    - #### afterLoadGraphWith

          protected void afterLoadGraphWith(Graph graph)
                                     throws Exception

      Overrides:
        `afterLoadGraphWith` in class `AbstractGremlinTest`
      Throws:
        `Exception`

    - #### modern_V_out_out_profile

          public void modern_V_out_out_profile()

    - #### modern_V_out_out_profileXmetricsX

          public void modern_V_out_out_profileXmetricsX()

    - #### grateful_V_out_out_profile

          public void grateful_V_out_out_profile()

    - #### grateful_V_out_out_profileXmetricsX

          public void grateful_V_out_out_profileXmetricsX()

    - #### g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profile

          public void g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profile()

    - #### g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profileXmetricsX

          public void g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profileXmetricsX()

    - #### g_V_repeat_both_profile

          public void g_V_repeat_both_profile()

    - #### g_V_repeat_both_profileXmetricsX

          public void g_V_repeat_both_profileXmetricsX()

    - #### g_V_whereXinXcreatedX_count_isX1XX_name_profile

          public void g_V_whereXinXcreatedX_count_isX1XX_name_profile()

    - #### g_V_whereXinXcreatedX_count_isX1XX_name_profileXmetricsX

          public void g_V_whereXinXcreatedX_count_isX1XX_name_profileXmetricsX()

    - #### testProfileStrategyCallback

          public void testProfileStrategyCallback()

    - #### testProfileStrategyCallbackSideEffect

          public void testProfileStrategyCallbackSideEffect()

    - #### g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profile

          public void g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profile()

    - #### g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profileXmetricsX

          public void g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profileXmetricsX()

    - #### g_V_hasLabelXpersonX_pageRank_byXrankX_byXbothEX_rank_profile

          public void g_V_hasLabelXpersonX_pageRank_byXrankX_byXbothEX_rank_profile()

    - #### g_V_groupXmX_profile

          public void g_V_groupXmX_profile()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.